Bug 1854268 - Review Request: opencsd - ARM coresight debug and trace decoder library
Summary: Review Request: opencsd - ARM coresight debug and trace decoder library
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Paul Whalen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-07 02:33 UTC by Jeremy Linton
Modified: 2020-10-15 16:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-15 16:25:25 UTC
Type: ---
pwhalen: fedora-review+


Attachments (Terms of Use)

Description Jeremy Linton 2020-07-07 02:33:38 UTC
Spec URL: https://pagure.io/opencsd/c/329119597d9227ca6cd6ca2656884b6fedacded8?branch=master

SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/5429/46715429/opencsd-0.14.1-1.fc32.src.rpm

Description: OpenCSD (https://github.com/Linaro/OpenCSD) Is an open source CoreSight(tm) trace decode library. Coresight is the low level debug and trace hardware that is available on many arm systems (https://developer.arm.com/ip-products/system-ip/coresight-debug-and-trace). Not long ago, support was added to the linux kernel to capture traces from this hardware, and to the perf utility to display the captured traces. Except, that the kernel perf utility depends on the opencsd library to decode those traces. So we need a package in fedora to enable this support.

Fedora Account System Username: jlinton

This is my first package, and I need a sponsor! Some background, for those I haven't met. I've been around fixing bugs in various fedora packages and assuring fedora boots/functions on various arm SBSA/SBBR platforms for a couple years now. I've also been doing some upstream and RHEL kernel work, edk2, etc.

There are successful package builds here:
https://copr.fedorainfracloud.org/coprs/jlinton/opencsd/build/1519164/
and
https://koji.fedoraproject.org/koji/taskinfo?taskID=46715425

The fedpkg lint command is clean except for insisting the %changelog tag has a problem.

Comment 1 Peter Robinson 2020-07-07 16:12:42 UTC
I've sponsored Jeremy, I work with him regularly on things in Fedora.

Comment 2 Paul Whalen 2020-07-07 16:47:10 UTC
I'll do the review.

Comment 3 Jeremy Linton 2020-07-08 22:43:09 UTC
Hi, I've removed the static libraries from the devel package and added a %postun. The pagure branch has been updated, and there is a new copr build here:

https://copr.fedorainfracloud.org/coprs/jlinton/opencsd/build/1538154/ 

The rawhide fedpkg lint'er is still complaining about my %changelog tag despite some slight massages (I added a bogus entry). I'm loathe to start debugging the linter.

Comment 4 Paul Whalen 2020-07-10 15:48:03 UTC
Latest version looks good, approved. 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 358400 bytes in 9 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: opencsd-0.14.1-1.fc33.x86_64.rpm
          opencsd-devel-0.14.1-1.fc33.x86_64.rpm
          opencsd-debuginfo-0.14.1-1.fc33.x86_64.rpm
          opencsd-debugsource-0.14.1-1.fc33.x86_64.rpm
          opencsd-0.14.1-1.fc33.src.rpm
opencsd.x86_64: W: no-manual-page-for-binary trc_pkt_lister
5 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: opencsd-debuginfo-0.14.1-1.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
opencsd-debuginfo.x86_64: W: invalid-url URL: https://github.com/Linaro/OpenCSD <urlopen error [Errno -2] Name or service not known>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
opencsd-debugsource.x86_64: W: invalid-url URL: https://github.com/Linaro/OpenCSD <urlopen error [Errno -2] Name or service not known>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
opencsd-devel.x86_64: W: invalid-url URL: https://github.com/Linaro/OpenCSD <urlopen error [Errno -2] Name or service not known>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
opencsd.x86_64: W: invalid-url URL: https://github.com/Linaro/OpenCSD <urlopen error [Errno -2] Name or service not known>
opencsd.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libopencsd.so.0.14.1 /lib64/libm.so.6
opencsd.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libopencsd_c_api.so.0.14.1 /lib64/libm.so.6
opencsd.x86_64: W: no-manual-page-for-binary trc_pkt_lister
4 packages and 0 specfiles checked; 0 errors, 7 warnings.



Source checksums
----------------
https://github.com/Linaro/OpenCSD/archive/3fc611aa5d3c9d6a40a88332903cf4230da74ad3.tar.gz :
  CHECKSUM(SHA256) this package     : d72e758efeb9470a5ab1abfa5cd47415d197599fa5ecdc375724279f4840379e
  CHECKSUM(SHA256) upstream package : d72e758efeb9470a5ab1abfa5cd47415d197599fa5ecdc375724279f4840379e


Requires
--------
opencsd (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libopencsd.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    rtld(GNU_HASH)

opencsd-devel (rpmlib, GLIBC filtered):
    libopencsd.so.0()(64bit)
    libopencsd_c_api.so.0()(64bit)
    opencsd(x86-64)

opencsd-debuginfo (rpmlib, GLIBC filtered):

opencsd-debugsource (rpmlib, GLIBC filtered):



Provides
--------
opencsd:
    libopencsd.so.0()(64bit)
    libopencsd_c_api.so.0()(64bit)
    opencsd
    opencsd(x86-64)

opencsd-devel:
    opencsd-devel
    opencsd-devel(x86-64)

opencsd-debuginfo:
    debuginfo(build-id)
    opencsd-debuginfo
    opencsd-debuginfo(x86-64)

opencsd-debugsource:
    opencsd-debugsource
    opencsd-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -n opencsd -r
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, C/C++, Shell-api
Disabled plugins: Ocaml, Java, Haskell, SugarActivity, fonts, PHP, R, Python, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Jeremy Linton 2020-07-10 16:08:03 UTC
Thanks Paul,

as a general FYI, it should be noted that there were a few updates along the way. The current .spec is

https://pagure.io/opencsd/blob/master/f/opencsd.spec

with a srpm build here:

https://download.copr.fedorainfracloud.org/results/jlinton/opencsd/fedora-32-aarch64/01544450-opencsd/opencsd-0.14.1-1.fc32.src.rpm

Comment 6 Gwyn Ciesla 2020-07-10 17:24:08 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/opencsd

Comment 7 Fedora Update System 2020-07-15 22:49:03 UTC
FEDORA-2020-812a822b44 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-812a822b44

Comment 8 Fedora Update System 2020-07-15 22:51:09 UTC
FEDORA-2020-bdf2a503a9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-bdf2a503a9

Comment 9 Fedora Update System 2020-07-16 01:39:03 UTC
FEDORA-2020-bdf2a503a9 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-bdf2a503a9 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-bdf2a503a9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-07-16 02:00:01 UTC
FEDORA-2020-812a822b44 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-812a822b44 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-812a822b44

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-07-24 01:14:02 UTC
FEDORA-2020-812a822b44 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-07-24 02:18:27 UTC
FEDORA-2020-bdf2a503a9 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Jeremy Linton 2020-10-15 16:25:25 UTC
Closing, since everything seems to be happy.


Note You need to log in before you can comment on or make changes to this bug.